%define perlvendorarch %(perl -e 'use Config; print $Config{installvendorarch}')
%define perlvendorlib %(perl -e 'use Config; print $Config{installvendorlib}')
%define perlman1dir %(perl -e 'use Config; print $Config{installman1dir}')
%define perlman3dir %(perl -e 'use Config; print $Config{installman3dir}')
%define perlversion %(perl -e 'use Config; print $Config{version}')

%define appname BSD-Resource

Name: perl-%{appname}
Version: 1.24
Release: 1
Summary: BSD process resource limit and priority functions
License: distributable
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 0:5.00503
Source0: %{appname}-%{version}.tar.gz
Requires: perl >= %{perlversion}


%description
A module providing an interface for testing and setting process limits
and priorities.

%prep
%setup -q -n %{appname}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
make
make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
PERL_VERSION=`perl -e '$version = sprintf "%vd", $^V; $version =~ s/\.[^\.]+$//; print "$version\n"'`
if [ "$PERL_VERSION" == "5.8" ]; then
  export PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
fi
make PREFIX=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT/usr/lib/perl5 -name perllocal.pod -exec rm -f {} \;


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root)
%{perlman3dir}/*
%{perlvendorarch}/BSD/Resource.pm
%{perlvendorarch}/auto/BSD/Resource
